Log4j 2
  1. Log4j 2
  2. LOG4J2-641

Override mockejb's commons-lang version.

    Details

    • Type: Dependency upgrade Dependency upgrade
    • Status: Closed
    • Priority: Major Major
    • Resolution: Done
    • Affects Version/s: 2.0-rc2
    • Fix Version/s: 2.0-rc2
    • Component/s: Core
    • Labels:
      None

      Description

      MockEJB is using a rather old version of commons-lang. This should be overridden to use the same version we use for log4j-jcl.

        Activity

        Hide
        Matt Sicker added a comment -

        As an aside, it might be a better idea to use spring-test or something else instead of mockejb. I always get logged errors from the mockejb tests. We could also use TomEE for EJB tests, but those would be integration tests at that point.

        Show
        Matt Sicker added a comment - As an aside, it might be a better idea to use spring-test or something else instead of mockejb. I always get logged errors from the mockejb tests. We could also use TomEE for EJB tests, but those would be integration tests at that point.
        Hide
        Matt Sicker added a comment -

        Done in r1595682.

        Show
        Matt Sicker added a comment - Done in r1595682.

          People

          • Assignee:
            Matt Sicker
            Reporter:
            Matt Sicker
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development